Name:		sunflow
Version:	0.07.4
Release:	%mkrel 4
Summary:	A rendering system for photo-realistic image synthesis
License:	MIT
Group:		Development/Java
URL:		https://github.com/sparkoo/sunflow
Source0:	https://github.com/sparkoo/sunflow/archive/v%{version}/%{name}-%{version}.tar.gz
# based on sunflow_logo.png from http://sunflow.sourceforge.net/logo2007.zip
Source1:	sunflow_icon_128.png
Source2:	sunflow.desktop
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	dos2unix
BuildRequires:	maven-local
BuildRequires:	janino

# Explicit requires for javapackages-tools since sunflow script
# uses /usr/share/java-utils/java-functions
Requires:	javapackages-tools


%description
Sunflow is an open source rendering system for photo-realistic image synthesis.
It is written in Java and built around a flexible ray tracing core and
an extensible object-oriented design.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
API documentation for %{name}.

%prep
%setup -q

dos2unix -k CHANGELOG LICENSE README

%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

%build
%mvn_build

%install
%mvn_install

%jpackage_script org.sunflow.SunflowGUI "" "" "janino:sunflow" sunflow true

install -Dpm644 %{SOURCE1} \
                %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

desktop-file-install \
 --dir=%{buildroot}%{_datadir}/applications \
 --mode=644 \
 --vendor="" \
 %{SOURCE2}

%check
java -server -Xmx1g -classpath $(build-classpath janino):target/%{name}-%{version}.jar org.sunflow.Benchmark -bench 0 128

%files -f .mfiles
%doc CHANGELOG README
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/128x128/apps/%{name}.png

%files javadoc -f .mfiles-javadoc
%license LICENSE


%changelog
* Mon Sep 07 2020 daviddavid <daviddavid> 0.07.4-4.mga8
+ Revision: 1623089
- Remove unnecessary dependency on maven-javadoc-plugin
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 0.07.4-3.mga8
+ Revision: 1508154
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.07.4-2.mga7
+ Revision: 1291726
- Mageia 7 Mass Rebuild

* Fri Aug 31 2018 daviddavid <daviddavid> 0.07.4-1.mga7
+ Revision: 1255928
- new version: 0.07.4
- update URL and Source URL
- add a desktop and icon files
- switch to maven build

* Thu Feb 04 2016 umeabot <umeabot> 0.07.3-6.mga6
+ Revision: 934231
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.07.3-5.mga5
+ Revision: 749442
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.07.3-4.mga5
+ Revision: 689614
- Mageia 5 Mass Rebuild

* Wed Mar 05 2014 david-david <david-david> 0.07.3-3.mga5
+ Revision: 600006
- remove janino package as Required (bug mga#12541)

* Fri Oct 18 2013 umeabot <umeabot> 0.07.3-2.mga4
+ Revision: 521106
- Mageia 4 Mass Rebuild

* Wed Jan 16 2013 dmorgan <dmorgan> 0.07.3-1.mga3
+ Revision: 388659
- Fix classpath
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ gil <gil>
- imported package sunflow

